/* pojtable.c -- Nice Table drawing stuff
   Copyright (C) 2000 Per Jonsson
   Written by Per Jonsson <poj@commsoft.se>.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.  */

/* $Id: pojtable.c,v 1.1 2000/01/17 12:58:34 poj Exp $ */

/* Changelog:
 *
 * $Log: pojtable.c,v $
 * Revision 1.1  2000/01/17 12:58:34  poj
 * Initial add to CVS.
 * These files was used in a earlier version of the code.
 * The purpose of these files is to handle functions that can be shared
 * between apps.
 *
 */

#include <Pilot.h>
#ifdef __GNUC__
#include "callback.h"
#endif

void PoJTblLineDraw(VoidPtr table, Word row, Word column, RectanglePtr bounds) {

#ifdef __GNUC__
   CALLBACK_PROLOGUE
#endif

     switch (TblGetItemInt(table, row, column)) {
     case 1: { /* Vertical line */
       WinDrawLine(bounds->topLeft.x,
		   bounds->topLeft.y,
		   bounds->topLeft.x,
		   bounds->topLeft.y + bounds->extent.y);
       break;
     }
       
     case 2: { /* Horizontal line */
       WinDrawLine(bounds->topLeft.x,
		   bounds->topLeft.y,
		   bounds->topLeft.x + bounds->extent.x,
		   bounds->topLeft.y);
       break;
     }

     case 3: { /* Horizontal + Vertical line (cross) */
       WinDrawLine(bounds->topLeft.x,
		   bounds->topLeft.y,
		   bounds->topLeft.x,
		   bounds->topLeft.y + bounds->extent.y);
       WinDrawLine(bounds->topLeft.x,
		   bounds->topLeft.y,
		   bounds->topLeft.x + bounds->extent.x,
		   bounds->topLeft.y);
       break;
     }

     default:
       break;

       /*       WinDrawLine(bounds->topLeft.x + bounds->extent.x,
		   bounds->topLeft.y,
		   bounds->topLeft.x + bounds->extent.x,
		   bounds->topLeft.y + bounds->extent.y); */
     }

#ifdef __GNUC__
   CALLBACK_EPILOGUE
#endif


}
