/* teacherselect.c -- Teacher Selection code for Palm Time Table
   Copyright (C) 2000 Per Jonsson
   Written by Per Jonsson <poj@users.sourceforge.net>.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.  */

/* $Id: teacherselect.c,v 1.4 2000/05/26 19:24:17 poj Exp $ */

/* Changelog:
 *
 * $Log: teacherselect.c,v $
 * Revision 1.4  2000/05/26 19:24:17  poj
 * Updates for teacherselect
 *
 * Revision 1.3  2000/05/26 19:06:13  poj
 * Updates for teacherselect.
 *
 * Revision 1.2  2000/05/26 18:58:06  poj
 * Fixes to make teacherselect compile.
 *
 * Revision 1.1  2000/05/26 18:51:13  poj
 * Initial add of File for Teacher Selection code.
 *
 */

#include <Pilot.h>
#include "callback.h"

#include "palmschedRsc.h"
 
/* Include code to use libpojpalm */
#include "pojtable.h"
#include "pojchararray.h"


void TeacherTblDraw(VoidPtr table, Word row, Word column, RectanglePtr bounds) {

#ifdef __GNUC__
   CALLBACK_PROLOGUE
#endif

     switch (TblGetItemInt(table, row, column)) {

     case 4: {
       WinDrawChars("Test",4,bounds->topLeft.x, bounds->topLeft.y); 
       break;
     }

     default:
       PoJTblLineDraw(table, row, column, bounds);
       break;
     }

#ifdef __GNUC__
   CALLBACK_EPILOGUE
#endif


}
